
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador04 {
    
    final static int LIMITE_INFERIOR = 0;
    final static int LIMITE_SUPERIOR = 23;
    final static int LIMITE_MADRUGADA = 5;
    final static int LIMITE_MANIANA = 11;
    final static int LIMITE_MEDIODIA = 13;
    final static int LIMITE_TARDE = 19;

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int horaDelDia;
        
        System.out.print("Ingresá una hora del día (entre "+ LIMITE_INFERIOR + " y " + LIMITE_SUPERIOR + "): ");
        horaDelDia = Integer.parseInt(input.nextLine());
        
        if (horaDelDia < LIMITE_INFERIOR) {
            System.out.println("La hora del día no puede ser negativa");
        } else if (horaDelDia > LIMITE_SUPERIOR) {
            System.out.println("La hora del día no puede ser mayor a " + LIMITE_SUPERIOR);
        } else if (horaDelDia <= LIMITE_MADRUGADA) {
            System.out.println("Es la MADRUGADA");
        } else if (horaDelDia <= LIMITE_MANIANA) {
            System.out.println("Es la MAÑANA");
        } else if (horaDelDia <= LIMITE_MEDIODIA) {
            System.out.println("Es la MEDIODÍA");
        } else if (horaDelDia <= LIMITE_TARDE) {
            System.out.println("Es la TARDE");
        } else {
            System.out.println("Es la NOCHE");
        }
        
    }

}
